Bug 1270155 - "<MiqException::MiqOrchestrationProvisionError>: Limit for stack has been exceeded" in stack orchestration provisioning Service.
"<MiqException::MiqOrchestrationProvisionError>: Limit for stack has been exc...
Status: CLOSED NOTABUG
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Provisioning (Show other bugs)
5.4.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 5.5.0
Assigned To: Bill Wei
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-09 02:57 EDT by Aziza Karol
Modified: 2015-11-11 15:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-12 10:57:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aziza Karol 2015-10-09 02:57:38 EDT
Description of problem:


Version-Release number of selected component (if applicable):
5.4.3

How reproducible:
100%

Steps to Reproduce:
1.Add ec2 provider
2.create a service dialog base on cloudformation template
2.create a catalog item type of orchestration and use the above dialog
3.order the service

Actual results:
ERROR -- : Q-task_id([service_template_provision_task_6]) MIQ(EmsAmazon#stack_create) stack=[test-EPet1kBfU7], error: Limit for stack has been exceeded in evm.log

Expected results:


Additional info:
evm.log:
VM-x86_64-2-HVM-Access2] id: [208] location: [337935342288/Fedora-19.0_HVM-x86_64-2-HVM-Access2] storage id: [] uid_ems: [ami-2782d94e] ems_ref: [ami-2782d94e]
[----] E, [2015-10-09T02:16:11.052212 #15275:82fa988] ERROR -- : Q-task_id([service_template_provision_task_6]) MIQ(EmsAmazon#stack_create) stack=[test-EPet1kBfU7], error: Limit for stack has been exceeded
[----] E, [2015-10-09T02:16:11.248147 #15275:82fa988] ERROR -- : Q-task_id([service_template_provision_task_6]) <AutomationEngine> The following error occurred during instance method <deploy_orchestration_stack> for AR object <#<ServiceOrchestration id: 6, name: "IsSXxvU5J0", description: "my catalog", guid: "2bf8296a-6e4d-11e5-9610-fa163ef2f639", type: "ServiceOrchestration", service_template_id: 2, options: {:dialog=>{"dialog_stack_name"=>"test-EPet1kBfU7", "dialog_stack_onfailure"=>"ROLLBACK", "dialog_stack_timeout"=>nil, "dialog_param_KeyName"=>"dave", "dialog_param_DBName"=>"MyDatabase", "password::dialog_param_DBUser"=>"v2:{UOTIOGH0VB9n9UtBRwBcgg==}", "password::dialog_param_DBPassword"=>"v2:{UOTIOGH0VB9n9UtBRwBcgg==}", "password::dialog_param_DBRootPassword"=>"v2:{UOTIOGH0VB9n9UtBRwBcgg==}", "dialog_param_InstanceType"=>"m1.small", "dialog_param_SSHLocation"=>"0.0.0.0/0"}, :stack_name=>"test-EPet1kBfU7", :stack_ems_ref=>nil, :create_options=>{:parameters=>{"KeyName"=>"dave", "DBName"=>"MyDatabase", "DBUser"=>"redhat", "DBPassword"=>"v2:{UOTIOGH0VB9n9UtBRwBcgg==}", "DBRootPassword"=>"v2:{UOTIOGH0VB9n9UtBRwBcgg==}", "InstanceType"=>"m1.small", "SSHLocation"=>"0.0.0.0/0"}, :disable_rollback=>false}}, display: true, created_at: "2015-10-09 06:15:43", updated_at: "2015-10-09 06:16:11", evm_owner_id: 1, miq_group_id: 1, service_id: nil, retired: nil, retires_on: nil, retirement_warn: nil, retirement_last_warn: nil, retirement_state: nil, retirement_requester: nil>>
[----] E, [2015-10-09T02:16:11.248361 #15275:82fa988] ERROR -- : Q-task_id([service_template_provision_task_6]) <AutomationEngine> MiqAeServiceModelBase.ar_method raised: <MiqException::MiqOrchestrationProvisionError>: <Limit for stack has been exceeded>
[----] E, [2015-10-09T02:16:11.248625 #15275:82fa988] ERROR -- : Q-task_id([service_template_provision_task_6]) <AutomationEngine> /opt/rh/cfme-gemset/gems/aws-sdk-v1-1.56.0/lib/aws/core/client.rb:375:in `return_or_raise'
/opt/rh/cfme-gemset/gems/aws-sdk-v1-1.56.0/lib/aws/core/client.rb:476:in `client_request'
(eval):3:in `create_stack'
/opt/rh/cfme-gemset/gems/aws-sdk-v1-1.56.0/lib/aws/cloud_formation/stack_collection.rb:146:in `create'
/var/www/miq/vmdb/app/models/ems_amazon.rb:129:in `stack_create'
/var/www/miq/vmdb/app/models/service_orchestration.rb:29:in `deploy_orchestration_stack'
/var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_service_model_base.rb:239:in `block in object_send'
/var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_service_model_base.rb:259:in `ar_method'
/var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_service_model_base.rb:270:in `ar_method'
/var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_service_model_base.rb:237:in `object_send'
/var/www/miq/vmdb/lib/miq_automation_engine/engine/miq_ae_service_model_base.rb:92:in `block (2 levels) in expose'
/opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1588:in `perform_without_block'
/opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1548:in `perform'
/opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1626:in `block (2 levels) in main_loop'
/opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1622:in `loop'
/opt/rh/ruby200/root/usr/share/ruby/drb/drb.rb:1622:in `block in main_loop'
/var/www/miq/vmdb/lib/extensions/ar_thread.rb:22:in `block in start_with_release'
Comment 2 Bill Wei 2015-10-12 10:57:10 EDT
This is a user error. For CloudFormation limits, please visit http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/cloudformation-limits.html. For example the default maximum number of stacks is 20.

Note You need to log in before you can comment on or make changes to this bug.